import request from '@/utils/request'

export function createItem(data) {
  return request({
    url: '/mall-integral-obtain/commend/add',
    method: 'post',
    data
  })
}

export function updateItem(data) {
  return request({
    url: '/mall-integral-obtain/commend/edit',
    method: 'post',
    data
  })
}

export function list(query) {
  return request({
    url: '/mall-integral-obtain/commend/page',
    method: 'get',
    params:query
  })
}

export function state(query) {
  return request({
    url: '/mall-integral-obtain/commend/modify/status',
    method: 'post',
    params:query
  })
}

export function types(query) {
  return request({
    url: '/mall-integral-obtain/commend/types',
    method: 'get',
    params:query
  })
}


export function dataList(query) {
  return request({
    url: '/mall-commend/commend/info',
    method: 'get',
    params:query
  })
}

export function dataAdd(data) {
  return request({
    url: '/mall-commend/commend/staff/add',
    method: 'post',
    data
  })
}

export function dataEdit(data) {
  return request({
    url: '/mall-commend/commend/staff/edit',
    method: 'post',
    data
  })
}

export function dataRemove(query) {
  return request({
    url: '/mall-commend/commend/staff/del',
    method: 'post',
    params:query
  })
}

// 客户表彰审批列表
export function customerPage(query) {
  return request({
    url: '/customer/commend/page',
    method: 'get',
    params:query
  })
}

// 客户表彰审批
export function complete(query) {
  return request({
    url: '/customer/commend/complete',
    method: 'post',
    params:query
  })
}

// 客户表彰详情
export function detail(query) {
  return request({
    url: '/customer/commend/info',
    method: 'get',
    params:query
  })
}